# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Convert arbitrary objects to/from strings
Name:		perl-FreezeThaw
Version:	0.5001
Release:	28.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/FreezeThaw
Source0:	https://cpan.metacpan.org/authors/id/I/IL/ILYAZ/modules/FreezeThaw-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Math::BigInt)
BuildRequires:	perl(overload)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
FreezeThaw is a module for converting Perl structures to strings and back.

%prep
%setup -q -n FreezeThaw-%{version}

# Remove spurious exec permissions
chmod -c -x FreezeThaw.pm Changes README

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/FreezeThaw.pm
%{_mandir}/man3/FreezeThaw.3*

%changelog
* Sat Oct  5 2019 Paul Howarth <paul@city-fan.org> - 0.5001-28
- Switch upstream from search.cpan.org to metacpan.org
- Drop legacy Group: and BuildRoot: tags
- BR: perl-generators unconditionally
- Drop redundant buildroot cleaning in %%install section
- Drop redundant explicit %%clean section
- Fix permissions verbosely

* Thu Aug 25 2016 Paul Howarth <paul@city-fan.org> - 0.5001-8
- BR: perl-generators where available
- Simplify find command using -delete

* Fri Feb 26 2016 Paul Howarth <paul@city-fan.org> - 0.5001-7
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4

* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> - 0.5001-6
- BR: perl(Carp) and perl(Exporter)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 0.5001-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.5001-4
- Make RPM version same as upstream version since Fedora has done the same

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> - 0.50-3
- Fix dist tag to work with RHEL6 Beta

* Sun Apr  4 2010 Paul Howarth <paul@city-fan.org> - 0.50-2
- Update to 0.5001 (switch to a coarse version-check to recognize that regexps
  are first-level, avoiding the need to rely on Scalar::Utils)

* Mon Mar  8 2010 Paul Howarth <paul@city-fan.org> - 0.50-1
- Update to 0.50 (support RE's of 5.11 and later, but not yet reblessed ones)

* Sun Feb 21 2010 Paul Howarth <paul@city-fan.org> - 0.45-3
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Thu Sep 10 2009 Paul Howarth <paul@city-fan.org> - 0.45-2
- Define RPM macros in global scope

* Wed Feb 11 2009 Paul Howarth <paul@city-fan.org> - 0.45-1
- Update to 0.45 (optimize thaw)
- Remove spurious exec permissions on files in upstream distribution

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> - 0.43-6
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Sun Mar 18 2007 Paul Howarth <paul@city-fan.org> - 0.43-5
- Fix dist tag for development and CentOS builds
- Define %%{__id_u} in a more portable way
- Fix argument order for find with -depth
- BuildRequire perl(ExtUtils::MakeMaker)

* Mon Jan 16 2006 Paul Howarth <paul@city-fan.org> - 0.43-4
- Remove redundant compiler optimization settings, not needed for noarch pkg
- Use search.cpan.org URLs
- Don't use macros in paths for build-time commands, hardcode them instead
- Simplify distribution-detection
- Remove %%__perl_package and %%perl_version macros for simplicity
- Remove buildroot unconditionally in %%clean and %%install
- Change Group: from Applications/CPAN to Development/Libraries

* Mon May 23 2005 Paul Howarth <paul@city-fan.org> - 0.43-3
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> - 0.43-2
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system; in such cases, just
  rebuilt from the source RPM.
- Changed distribution-identifying macros for greater portability

* Wed Feb 18 2004 Paul Howarth <paul@city-fan.org> - 0.43-1
- Initial build
